CoCoALib - Design #764

ExternalLib: simplify configuration
02 Sep 2015 10:57 - Anna Maria Bigatti

Status: Closed Start date: 02 Sep 2015

Priority: Normal Due date:

Assignee: Anna Maria Bigatti % Done: 100%

Category: Improving Estimated time: 1.55 hour

Target version: CoCoALib-0.99600 Spent time: 1.40 hour

Description

I've recently added GFan. (in configure file)

It took me a few hours (modifying settings for Frobby) to get all the lines done.

Today | added cdd: it took me 30 mins (because | remembered!)

I think we can simplify the process so that there are fewer strings to replace.

Related issues:

Related to CoCoALib - Feature #573: Use symbolic links for external libraries Closed 18 Jun 2014
Related to CoCoALib - Support #887: My first compilations with clang Closed 31 May 2016

History

#1 - 02 Sep 2015 11:11 - Anna Maria Bigatti
- % Done changed from 0 to 10

All the external libraries now have symbolic links in configuration/ExternalLibs/{include,lib}.
Then it should be possible to make it automatic to

- link all the libraries in configuration/ExternalLibs/lib/

- include everything in configuration/ExternallLibs/include/

#2 - 22 Sep 2016 15:21 - Anna Maria Bigatti
- Related to Support #887: My first compilations with clang added

#3 - 28 Nov 2016 15:43 - John Abbott

- Status changed from New to In Progress

Is this now resolved? Or even in feedback? Perhaps change target version?

#4 - 29 Nov 2016 11:28 - Anna Maria Bigatti
- Target version changed from CoCoALib-1.0 to CoCoALib-0.99560

#5 - 06 Nov 2017 13:46 - John Abbott
- Target version changed from CoCoALib-0.99560 to CoCoALib-0.99600

#6 - 12 Jun 2018 16:30 - John Abbott
- Status changed from In Progress to Resolved

- % Done changed from 10 to 60

Can we close this?
#7 - 02 Aug 2018 16:06 - Anna Maria Bigatti
- Status changed from Resolved to Closed

- % Done changed from 60 to 100

I've added MathSAT last year: | guess | suffered less, maybe | improved something?
| did not update this issue.
I think we can close this, up to next include...

#8 - 03 Aug 2018 17:33 - John Abbott
- Estimated time set to 1.55 h
